/**
 * P4
 * http://snarfed.org/space/p4
 *
 * Copyright 2001-2004
 * Ken Ashcraft <kashcraft+p4@gmail.com>
 * Ryan Barrett <p4@ryanb.org>
 * Maulik Shah <p4@maulik.net>
 * Nathan Stoll <nathanstoll+p4@gmail.com>
 *
 * @file sys.h
 *
 * Contains functions and types for cross-platform portability.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef _P4_SYS_H
#define _P4_SYS_H

#if defined(_WIN32) || defined(__APPLE__)
  typedef unsigned int uint;
  typedef unsigned short ushort;
  typedef unsigned long ulong;
#endif  // _WIN32 || __APPLE__

#ifdef _WIN32
  #include <sys/timeb.h>
  int gettimeofday(struct timespec *curTimeP, int *junk);
#endif  // _WIN32 || __APPLE__

#ifndef INADDR_NONE
#define INADDR_NONE static_cast<ulong>(-1)  // for a few platforms, eg. Solaris
#endif

#endif  // _P4_SYS_H

